<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Gender;

use Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray;

/**
 * Class Gender
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Gender
 */
class Gender extends AbstractFieldArray
{

    /**
     * @var string
     */
    protected $_id = 'gender';

    /**
     * Prepare to render
     *
     * @return void
     */
    protected function _prepareToRender()
    {
        $this->addColumn($this->_id, [
            'label' => __('Magento Field'),
            'style' => 'width:220px'
        ]);
        $this->addColumn($this->_id . '_mapp_field', [
            'label' => __('MAPP Field'),
            'style' => 'width:220px'
        ]);

        $this->_addAfter = false;
        $this->_addButtonLabel = __('Add');
    }
}
